Subject: Proposal for IPv6 DNS Autoconfiguration

From: "Jaehoon Jeong" <[email-masked]>
Date: Mon, 21 Apr 2003 14:32:00 +0900

Hello, dnsop members! 

I posted my new draft of DNS autoconfiguration in IPv6 host,
of which title is "IPv6 Router Advertisement based DNS Autoconfiguration".
 
http://www.ietf.org/internet-drafts/draft-jeong-ipv6-ra-dns-autoconf-00.txt
 
In this draft, I descibed four configurations related to DNS as follows;
 a) Advertisement of domain and DNS server in a site
 b) Auto-generation of host DNS name based on the known domain
 c) Auto-registration of the host DNS name with the known DNS server
 d) Auto-configuration of recursive DNS server for DNS name resolution

My scheme is based on IPv6 Router Advertisement (RA).
I think it can be used together with DHCPv6's DNS-related options.

I welcome your comments on my idea. 
I would like to know this draft is valuable enough to discuss 
as working group draft. 
Thanks a lot. 

Regards,
Jaehoon 

#----------------------------------------------------------------------
# To unsubscribe, send a message to <[email-masked]>.